TX Text Control .NET Server

DocumentEditorSettings Object

Object|Introduced in 32.0

Description

Document editor settings.

Syntax

{
   [culture: <string>],
   [uiCulture: <string>],
   [editMode: <EditMode>],
   [contextMenusEnabled: <boolean>],
   [formattingPrinter: <string>],
   [reconnectTimeout: <number>],
   [userNames: <string[]>],
   [customQueryParams: <Object>],
   [connectionID: <string>],
   [webSocketProtocols: <string[]>]
}

Examples

The following example demonstrates DocumentEditorSettings in a practical document-editing workflow. Document editor settings.

function inspectDocumentEditorSettings(documentEditorSettings) {
    console.log("culture:", documentEditorSettings.culture);
    console.log("ui culture:", documentEditorSettings.uiCulture);
    console.log("edit mode:", documentEditorSettings.editMode);
    console.log("context menus enabled:", documentEditorSettings.contextMenusEnabled);
}

Members

Properties

PropertyDescription
connectionIDOptional. The unique connection ID string.
contextMenusEnabledOptional. Sets whether a right click opens a context menu or not.
cultureOptional. The culture. (e. g. 'de-DE') Affects date and time string formats, for example.
customQueryParamsOptional. Custom query parameters.
editModeOptional. Sets whether the document's text is read-only, can be selected or is editable.
formattingPrinterOptional. The name of a printer the text dimensions and capabilities of which are used to format the document.
reconnectTimeoutOptional. Time in seconds before stopping reconnection attempts after a connection loss.
uiCultureOptional. The user interface culture. (e. g. 'en-US') Affects the string resource language.
userNamesOptional. An array of names specifying users who have access to editable regions. When a document is set to read-only all editable regions that are related to these users can be edited.
webSocketProtocolsOptional. An array of additional WebSocket sub-protocols to be passed to the WebSocket constructor. Can be used in order to pass authentication tokens, for example.